/*
	The MS security bulletin is: MS06-013
	MS knowledgebase article: 912812
	This patch is part of security update KB912812

	In response to a lawsuit, Microsoft has released an update for
	Internet Explorer affecting the behavior of some ActiveX controls.
	The update will no longer allow APPLET, EMBED, or OBJECT elements to
	load and run controls, like a Flash movie, in an immediately
	interactive mode.  The customer is now required to click on the object
	to bring it into focus, or activate it, before interacting with it.
	This file is a workaround that will bring the loaded control, like a
	Flash movie, into focus automatically for immediate customer interactivity.
	This file is external and needs to stay external.

	An MSDN article giving more information can be found at:
	msdn.microsoft.com/library/default.asp?url=/workshop/author/dhtml/overview/activating_activex.asp

	-------------------------

	Wrap the object, embed (depricated) or applet tags inside the following and
	REMEMBER to set the path correctly !!!!

	<!--[if gte IE 6]><noscript class="eolasActiveXfix"><![endif] -->

			<object ...>
			</object>
	<!--[if gte IE 6]></noscript><script type="text/javascript" src="../eolasActiveXfix.js"></script><![endif] -->

*/
for(i=0;elem=document.getElementsByTagName("noscript")[i];i++ ) {
	if(elem.className=="eolasActiveXfix") {
		elem.outerHTML = elem.innerHTML;
	}
}
/*
	The following is only available for information purposes. The following code does not work with
	Flash movies that have data set in them. This is NOT a good solution for us.

	Add the line below to your HTML inside the HEAD tag
	<!--[if gte IE 6]><script defer="defer" type="text/javascript" src="{$base_dir}/eolasActiveXfix.js"></script><![endif]-->

for(j=0;tagName=["object","embed","applet"][j];j++ ) {
  for(i=0;elem=document.getElementsByTagName(tagName)[i];i++ ) {
    elem.outerHTML = elem.outerHTML;
  }
}
*/
