var DEBUG = 0;
var w; // this must be outside all functions and is used for narration
var prompt_text;
/*******************************************************
Set up everything for the page
*******************************************************/
function initialize() {
	setGoTo();
	setStatus();
	if ( typeof(prompt_text) != "undefined" ) {
		setPrompt(prompt_text);
	}
	else {
		setPrompt("");
	}
}


/*******************************************************
Set up everything for the page
*******************************************************/
/*function initialize() {
	for ( var j in tagName=["object","embed","applet"] ) {
		for( var i in elem=document.getElementsByTagName(tagName[j]) ) {
		    elem[i].outerHTML = elem[i].outerHTML;
				// loop until the movie IS ready
			if ((typeof(elem[i].id) != "undefined") && (tagName[j] == "object" )) {
				var this_object = movieobject( elem[i].id );
				this_object.SetVariable("pageName","undefined");
				this_object.Rewind();
				this_object.Play();
				// loop until the movie IS ready
//				while ( ! movieIsLoaded( this_object ) ) {
				// do nothing until the movie is ready
//				}
			}

		}
	}

	setGoTo();
	setStatus();
	if ( typeof(prompt_text) != "undefined" ) {
		setPrompt(prompt_text);
	}
	else {
		setPrompt("Click the Forward Arrow to Continue");
	}
}
*/

//*******************************************************
// Set the style sheet for whatever school house the student belongs to
// uses 2 inputs the base_dir ('..') and the css filename
function setActiveStyleSheet(this_base_dir) {
	if (DEBUG==1) alert('Setting active style sheet');
	if ( arguments[1] ) { //if a css filename was passed in than use it
		if (DEBUG==1) alert('Active style sheet='+this_base_dir+"/"+arguments[1]);
		if (document.createElement) {
			document.getElementsByTagName("link")[0].setAttribute('href',this_base_dir+"/"+arguments[1]);
			if ( parent.storage ) {
				parent.storage.look = arguments[1];
			}
		}
	} else if (( parent.storage ) && ( parent.storage.look )) {
		if (DEBUG==1) alert('Active style sheet='+this_base_dir+"/"+parent.storage.look);
		if (document.createElement) {
			document.getElementsByTagName("link")[0].setAttribute('href',this_base_dir+"/"+parent.storage.look);
		}
	}
}

//*******************************************************
// the following was developed for use with flash
//-------------------------------------------------------
// Find the movie object.
function movieobject( moviename ) {

	if ( document.getElementById ) {
		return document.getElementById( moviename );

	} else if ( document.all ) {
		// this should only happen on IE4
		return document.all[moviename];
	}
	return false;
}

//-------------------------------------------------------
// Tell the Flash movie to Play
function playmovie(obj) {
	var this_object = movieobject( obj );

	this_object.Play();
	setPlayPause(this_object);
}

//-------------------------------------------------------
// Tell the Flash movie to Pause
function stopmovie(obj) {
	var this_object = movieobject( obj );

	this_object.StopPlay();
	setPlayPause(this_object);
}

//-------------------------------------------------------
// Tell the Flash movie to Replay
function rewindmovie(obj) {
	var this_object = movieobject( obj );

//	this_object.GotoFrame(2);
	this_object.Rewind();
	this_object.Play();
	setPlayPause(this_object);
}

//-------------------------------------------------------
// Switch/Hide Play/Pause buttons
function setPlayPause( moviename ) {
    var this_object = moviename;
    var playing = this_object.IsPlaying();

    var play = document.getElementById('play');
    var pause = document.getElementById('pause');

    if ( playing ) {
		play.style.display  = "none";
		pause.style.display = "block";
	} else {
		play.style.display  = "block";
		pause.style.display = "none";
	}
}

//*******************************************************
// used with the CC button to show the narration (showtext)
//-------------------------------------------------------
// open a new window for narration with the text that was passed in as a parameter
function showtext(text) {

	// set up some constants
	// how editable!
	var myWidth  		= 400;
	var myHeight 		= 200;
	var myScrollbars  	= 'yes';

	// open the window
	w = window.open (	"",
						"showTextWindow",
						"toolbar=no,width="+myWidth+",height="+myHeight+",menubar=no,resizable=yes,status=no,scrollbars="+myScrollbars);
	// write to it
	w.document.open();
	w.document.writeln('<html><head><title>Closed Caption</title>');
	for ( var l=0; l<document.getElementsByTagName('link').length; l++ ) {
		w.document.writeln('<link rel="stylesheet" type="text/css" title="'+document.getElementsByTagName('link')[l].getAttribute('title')+'" href="'+document.getElementsByTagName('link')[l].getAttribute('href')+'" />');
	}
	w.document.writeln('<script type="text/javascript">');
	w.document.writeln('function findParent( repeat ) {if ( opener && !opener.closed && repeat && opener.narration && !opener.narration.match("CLOSE_CC") ) { opener.showtext( opener.narration ); } else { this.close() } }');
	w.document.writeln('</script>');
	w.document.writeln('</head><body>');
	w.document.writeln('<div id="popup_top_bar">Closed Caption</div>');
	w.document.writeln('<div id="cc_text">');
	w.document.writeln( text + '</div>');
	w.document.writeln('</body></html>');
	w.document.close();
   	w.focus();
}

//-------------------------------------------------------
// Used to re-fresh the narration pop-up window
function findParent( repeat ) {
	if ( opener && repeat ) {
		opener.showtext( opener.narration );
		window.focus();
		w = window;
	}
}

//-------------------------------------------------------
// Used to re-fresh the narration pop-up window
function leaving() {
	if (( w ) && ( !w.closed )) {
		w.setTimeout("findParent(1)", 1000 );
	}
}

//*******************************************************
// open a new window centered on the screen
// with the size and name that was passed in as a parameter
function openCenter(myUrl, myName, myWidth, myHeight ) {
	// open the window
	windowNavi = window.open (myUrl,myName,"toolbar=no,width="+myWidth+",height="+myHeight+",menubar=no,resizable=yes,status=no,scrollbars=yes");
	// center the window on the screen
	windowNavi.moveTo(((screen.width/2)-(myWidth/2)-5),((screen.height/2)-(myHeight/2)-25));
	// open the specific url
	windowNavi.location = myUrl;
	// bring it to the front
	windowNavi.focus();
}

//*******************************************************
// the following is for the interface (GUI)
//-------------------------------------------------------
function setMenu( this_base_dir, this_menu, this_width, dir1, dir2 ) {
// if file and file does not match what is open, close menu, open menu and show new file
// if file, open menu and show file
// if no file, close menu

	if ( document.getElementById('imenu').src ) {
		var temp = document.getElementById('imenu').src.split("/");
			temp = temp[temp.length-2];
	}

	if ( this_menu && ( this_menu != temp ) ) {
		document.getElementById('imenu').src	= this_base_dir+'/'+this_menu+'/index.html';
		var temp = document.getElementsByTagName('link')[0].getAttribute('href').split("/");
			temp = temp[temp.length-1].split(".");

		setBackgroundImage('menu_area', this_base_dir+'/images_int/'+temp[0]+'/'+this_menu+'_sidebar.jpg');
		document.getElementById('menu_area').style.width	= this_width+'px';
		document.getElementById('menu_area').style.display	= 'block';
		document.getElementById('content_area').style.left	= this_width+'px';
		document.getElementById('imenu').width	= this_width;
	} else 	// no matter what, if the menu is open hide it
	if ( document.getElementById('menu_area').style.display == 'block' ) {
		// if the menu is open hide it
		document.getElementById('imenu').width	= 0;
		document.getElementById('imenu').src	= null;
			// really make sure there is nothing there
			imenu.document.open();
			imenu.document.write("");
			imenu.document.close();
		document.getElementById('menu_area').style.display	= 'none';
		document.getElementById('menu_area').style.width	= '0px';
		document.getElementById('content_area').style.left	= '0px';
//		parent.window.resizeBy(-250, 0);
	}
}
function setBackgroundImage (id, imageURL) {
	if (document.getElementById) {
		document.getElementById(id).style.backgroundImage = imageURL == 'none' ? 'none' : 'url(' + imageURL + ')';
	} else if (document.all) {
		document.all[id].style.backgroundImage = imageURL == 'none' ? 'none' : 'url(' + imageURL + ')';
	} else if (document.layers) {
		document[id].background.src = imageURL == 'none' ? null : imageURL;
	}
}
//-------------------------------------------------------
function getMainMenu( this_base_dir ) {
//	openCenter(this_base_dir + '/menu/menu.html', 'MainMenu', '200', '150');
	// uncomment out the statement below to allow the student to go DIRECTLY to the LMS menu
//	getTOC( this_base_dir );
	setMenu(this_base_dir, 'menu', 175);
}
function getObjectiveMenu( this_base_dir ) {
	openCenter(this_base_dir + "/menu/objectiveMenu.html", "ObjectiveMenu", '600', '220');
	parent.setMenu();
}
function getMyTOC( this_base_dir ) {
	parent.setMenu();
	parent.getTOC(this_base_dir); // this function is in the SCO_Bestprac.js
}

//-------------------------------------------------------
function getCommunicateMenu( this_base_dir ) {
//	openCenter(this_base_dir + '/communicate/index.html', 'CommunicateMenu', '250', '170');
	setMenu(this_base_dir, 'communicate', 175);
}
function getEmail() {
	// the url below was lifted straight from AKO
	window.open('https://www.us.army.mil/suite/army/webmail','akomail','width=775,height=575,scrollbars=yes,resizable=yes,menubar=yes,toolbar=yes');
	parent.setMenu();
}
function getCollaboration() {
	alert("This link opens collaboration tools");
	parent.setMenu();
}
function getHelpDesk() {
	window.open('https://ask-atsc.atsc.army.mil/Scripts/rightnow.cfg/php.exe/enduser/std_alp.php');
	parent.setMenu();
}
function getInstructorNotes( this_base_dir ) {
	openCenter(this_base_dir + '/communicate/instructor_notes.html', 'InstructorNotes', '500', '350');
	parent.setMenu();
}

//-------------------------------------------------------
function getOptionsMenu( this_base_dir ) {
//	openCenter(this_base_dir + '/options/options.html', 'OptionsMenu', '500', '350');
	setMenu(this_base_dir, 'options', 250);
}

// functions available as resources
function getAudioScripts( this_base_dir ) {
	openCenter(this_base_dir + '/options/audio_scripts.html', 'AudioScripts', '500', '350');
	parent.setMenu();
}
function getCopyrightInfo( this_base_dir ) {
	openCenter(this_base_dir + '/options/copyright_info.html', 'CopyrightInfo', '500', '350');
	parent.setMenu();
}
function getObjectives( this_base_dir ) {
	openCenter(this_base_dir + '/options/objectives.html', 'Objectives', '500', '350');
	parent.setMenu();
}
function getGlossary( this_base_dir ) {
	//openCenter(this_base_dir + '/options/resources/glossary/index.html', 'Glossary', '780', '420');
	var lessonNumber = parent.location.href.substring(parent.location.href.lastIndexOf('/')+3,parent.location.href.lastIndexOf('/')+6);
	var tempLocation = parent.location.href.substring(0,parent.location.href.lastIndexOf('/'));
	tempLocation = tempLocation.substring(0,tempLocation.lastIndexOf('/'));
	tempLocation = tempLocation.substring(0,tempLocation.lastIndexOf('/'));
	tempLocation = tempLocation + "/images/wl" + lessonNumber;
	//alert(tempLocation);
	window.open(tempLocation + "glossary.pdf","Glossary","toolbar=no,width=780,height=420,menubar=no,resizable=yes,status=no")
	parent.setMenu();
}
function getReferences( this_base_dir ) {
	//openCenter(this_base_dir + '/options/resources/reference/index.html', 'References', '780', '420');
	var tempLocation = parent.location.href.substring(0,parent.location.href.lastIndexOf('/')+1);
	//alert(tempLocation);
	window.open(tempLocation + "reference.html","References","toolbar=no,width=780,height=420,menubar=no,resizable=yes,status=no")
	parent.setMenu();
}
function getReviewQuestions( this_base_dir ) {
	openCenter(this_base_dir + '/options/review_questions.html', 'ReviewQuestions', '500', '350');
	parent.setMenu();
}
function getPolicies( this_base_dir ) {
	openCenter(this_base_dir + '/options/policies.html', 'Policies', '500', '350');
	parent.setMenu();
}
function getInterests( this_base_dir ) {
	openCenter(this_base_dir + '/options/interests.html', 'Interests', '500', '350');
	parent.setMenu();
}

// functions available as tools
function getCalculator() {
	alert("This opens any special calculators that are available");
	parent.setMenu();
}
function getCalendar()  {
	alert("This opens any special calendars that are available");
	parent.setMenu();
}
function getCredits( this_base_dir ) {
	openCenter(this_base_dir + '/options/credits.html', 'Credits', '500', '350');
	parent.setMenu();
}
function getNotes()  {
	alert("The learner may be allowed to make and store notes when this feature is active");
	parent.setMenu();
}
function getSearch() {
	alert("Opens a Search page");
	parent.setMenu();
//	this.opener.document.getElementById('bottom_bar').style.top='743px';
//	this.opener.document.getElementById('prompt').style.width='534px';
//	this.opener.document.getElementById('content_area').style.width='1020px';
//	this.opener.document.getElementById('content_area').style.height='675px';
//	this.opener.document.getElementById('content_area').style.background='grey';
}

// other options
function getCourseMap( this_base_dir ) {
	openCenter(this_base_dir + '/options/course_map.html', 'CourseMap', '500', '350');
	parent.setMenu();
}
function getPreferences( this_base_dir ) {
	openCenter(this_base_dir + '/options/preferences.html', 'Preferences', '500', '350');
	parent.setMenu();
}
function getPrint() {
	parent.print();
	parent.setMenu();
}

//-------------------------------------------------------
// Get Help
function getHelp( this_base_dir ) {
	setMenu(this_base_dir, 'help', 275);
}
function getAdditionalHelp( this_base_dir ) {
	alert("This provides any additional help the learner may need in order to operate the training and any training objects");
	parent.setMenu();
}

function getGuiHelp( this_base_dir ) {
	// same as openCenter function only NO scrollbars
	var myName = 'GuiHelp';
	var myWidth = 750;
	var myHeight = 550;
	var myUrl = this_base_dir + '/help/gui_help.html';
	// open the window
	windowNavi = window.open (myUrl,myName,"toolbar=no,width="+myWidth+",height="+myHeight+",menubar=no,resizable=yes,status=no,scrollbars=no");
	// center the window on the screen
	windowNavi.moveTo(((screen.width/2)-(myWidth/2)-5),((screen.height/2)-(myHeight/2)-25));
	// open the specific url
	//windowNavi.location = myUrl;
	// bring it to the front
	windowNavi.focus();

	parent.setMenu();
}
function getJobAids( this_base_dir ) {
	openCenter(this_base_dir + '/help/job_aids.html', 'JobAids', '500', '350');
	parent.setMenu();
}
function getMinSpec( this_base_dir ) {
	openCenter(this_base_dir + '/help/min_spec.html', 'MinSpec', '500', '350');
	parent.setMenu();
}
function getPEHelp( this_base_dir ) {
	alert("This provides help on how to take any Tests or Practical Exercises");
	parent.setMenu();
}

//-------------------------------------------------------
function getClose( this_base_dir ) {
	getExit(); // this function is in the SCO_Bestprac.js
}

//-------------------------------------------------------
function setPrompt (text) {
	//document.getElementById('prompt').innerHTML = text;
}

//-------------------------------------------------------
// adds the page title and location to an array to show later.
function setGoTo() {
	if (( parent.storage ) && ( parent.storage.pages_array )) {
		var found = false;
		for ( var i=0; i < parent.storage.pages_array.length; i++ ) {
			if ( parent.storage.pages_array[i][1] == this.location ) {
				found = true;
			}
		}
		if ( !found ) {
			parent.storage.pages_array.push([document.title.toString(),this.location.toString()]);
		}
	}
	return true;
}

//-------------------------------------------------------
function getGoTo( this_base_dir ) {
	var this_width = 300;

	if ( document.getElementById('imenu').src ) {
		var temp = document.getElementById('imenu').src.split(".");
			temp = temp[0];
	}
	
	if ( temp == "goto" ) {
		setMenu();
	} else {
		document.getElementById('imenu').src = 'goto.html';
		var temp = document.getElementsByTagName('link')[0].getAttribute('href').split("/");
			temp = temp[temp.length-1].split(".");

		setBackgroundImage('menu_area', this_base_dir+'/images_int/'+temp[0]+'/goto_sidebar.jpg');
		document.getElementById('menu_area').style.width	= this_width+'px';
		document.getElementById('menu_area').style.display	= 'block';
		document.getElementById('content_area').style.left	= this_width+'px';
		document.getElementById('imenu').width	= this_width;
	} 
	
	/*if ( document.getElementById('imenu').src ) {
		var temp = document.getElementById('imenu').src.split("/");
			temp = temp[temp.length-2];
	}

	if ( temp == "goto" ) {
		setMenu();
	} else {
		var text		= "";
		var styleSheet	= document.getElementsByTagName('link')[0].getAttribute('href');
		var jsSheet		= document.getElementsByTagName('script')[0].getAttribute('src');

		if (location.href.lastIndexOf('/') !=-1) {
			myLocation=location.href.substring(0,location.href.lastIndexOf('/')+1);
//			alert(myLocation);
		}
		setMenu(myLocation+base_dir, 'goto', 250);

		imenu.document.open();
		imenu.document.writeln('<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">');
		imenu.document.writeln('<html lang="en-US">');
		imenu.document.writeln('<head><title>Jump To Menu</title>');
		imenu.document.writeln('<link rel="stylesheet" type="text/css" title="Green" href="'+styleSheet+'" />');
		imenu.document.writeln('</head><body>');
		imenu.document.writeln('<ul class="prime_color_menu">');
		for ( var i=0; i < parent.storage.pages_array.length; i++ ) {
			text += '<li><a href="javascript:parent.setMenu();parent.location=\''+parent.storage.pages_array[i][1]+'\';">'+parent.storage.pages_array[i][0]+'</a></li>';
		}
		imenu.document.writeln(text);
		imenu.document.writeln('</ul></body></html>');
		imenu.document.close();
	   	imenu.focus();
	}*/
}

//-------------------------------------------------------
function getBack(destination) {
	
	if(this.isJumpPage != undefined){
		var incomplete = false;
		var beenThere = Global.getGlobal(this.moviename + "BT");
		if(beenThere == null){
			incomplete = true;
		}else{
			var btAry = new Array();
			btAry = beenThere.split(',');
			for(i=1;i<=this.numSubtopics;i++){
				if(btAry[i] == "false" || btAry[i] == "null" || btAry[i] == null){
					incomplete = true;
				}
			}
		}
		if(incomplete == true){
			if(confirm('You are about to leave this screen without completing the instruction. Click OK to leave or Cancel to remain on this screen.')){
				this.location = destination;
			}
		}else{
			this.location = destination;
		}
	}else{
		this.location = destination;
	}
}
//-------------------------------------------------------
function getNext(destination) {
	if(this.isJumpPage != undefined){
		var incomplete = false;
		var beenThere = Global.getGlobal(this.moviename + "BT");
		if(beenThere == null){
			incomplete = true;
		}else{
			var btAry = new Array();
			btAry = beenThere.split(',');
			for(i=1;i<=this.numSubtopics;i++){
				if(btAry[i] == "false" || btAry[i] == "null" || btAry[i] == null){
					incomplete = true;
				}
			}
		}
		if(incomplete == true){
			if(confirm('You are about to leave this screen without completing the instruction. Click OK to leave or Cancel to remain on this screen.')){
				this.location = destination;
			}
		}else{
			this.location = destination;
		}
	}else{
		this.location = destination;
	}
}
//-------------------------------------------------------
function getRemediation(destination) {
	this.location = destination;
}
//-------------------------------------------------------
function getMenuToPage(destination) {
	var tempLocation = opener.parent.location.href.substring(0,opener.parent.location.href.lastIndexOf('/')+1);
	this.opener.parent.location = tempLocation+destination;
	this.close();
}

//-----------------------------------------------------
// Set the status bar to match the page title and the page number
function setStatus() {
	var titles	= "";
	var pages	= "";

	if( document.getElementById('pagenumbers') ) {
		if ( document.getElementById('pagenumbers').getElementsByTagName('a') ) {
			pages	= "Page "+document.getElementById('pagenumbers').getElementsByTagName('a')[0].innerHTML;

			if ( !document.getElementById('pagenumbers').getElementsByTagName('a')[0].getAttribute('title') ) {
				document.getElementById('pagenumbers').getElementsByTagName('a')[0].getAttribute('title') = "Unknown Pg Title";
			}

		} else if ( document.getElementById('pagenumbers') ) {
			pages	= "Page "+document.getElementById('pagenumbers').innerHTML;
		}
	}
	if (document.title) {
		titles	= " - "+document.title;
	}

	window.status = pages+titles;
	return true;
}

//**********************************************************
//getDocument(string docName)
//Matches docName against an associative array of URLs,
//opening a new window for the requested item.  If there is
//no match, does nothing and returns false.
//use the below format in references:
//<a href="javascript:parent.getDocument('docListName')"><font color=blue>TITLE OF DOCUMENT</font></a>
//**********************************************************
//<a href="../../../images_int/Ar190_13_Regulation.pdf" target="APSP">The Army Physical Security Program</a>

function getDocument(docName){
    if(typeof docName == "undefined"){
        alert("No document requested");
    }
	var base_dir = "../../../images_int/";

    var docList = new Array(); //holds the documents, keys are
    //docNames

    //array built here
	
	docList["027276.pdf"] = base_dir + "027276.pdf";
	docList["051550.pdf"] = base_dir + "051550.pdf";
	docList["058006.pdf"] = base_dir + "058006.pdf";
	docList["060911.pdf"] = base_dir + "060911.pdf";
	docList["062079.pdf"] = base_dir + "062079.pdf";
	docList["072466.pdf"] = base_dir + "072466.pdf";
	docList["072604.pdf"] = base_dir + "072604.pdf";
	docList["074408.pdf"] = base_dir + "074408.pdf";
	docList["076873.pdf"] = base_dir + "076873.pdf";
	docList["076880.pdf"] = base_dir + "076880.pdf";
	docList["AR_190_51.pdf"] = base_dir + "AR_190_51.pdf";
	docList["AR_385_10.pdf"] = base_dir + "AR_385_10.pdf";
	docList["AR_385_40.pdf"] = base_dir + "AR_385_40.pdf";
	docList["AR_385_55.pdf"] = base_dir + "AR_385_55.pdf";
	docList["AR_385_63.pdf"] = base_dir + "AR_385_63.pdf";
	docList["AR_600_55.pdf"] = base_dir + "AR_600_55.pdf";
	docList["AR_700_4.pdf"] = base_dir + "AR_700_4.pdf";
	docList["AR_700_138.pdf"] = base_dir + "AR_700_138.pdf";
	docList["AR_710_2_x.pdf"] = base_dir + "AR_710_2_x.pdf";
	docList["AR_725_50.pdf"] = base_dir + "AR_725_50.pdf";
	docList["AR_735_5.pdf"] = base_dir + "AR_735_5.pdf";
	docList["AR_750_43.pdf"] = base_dir + "AR_750_43.pdf";
    docList["Ar190_13_Regulation.pdf"] = base_dir + "Ar190_13_Regulation.pdf";
	docList["Ar525_13_Regulation.pdf"] = base_dir + "Ar525_13_Regulation.pdf";
	docList["Convoy_LDRs_HB_04_27.pdf"] = base_dir + "Convoy_LDRs_HB_04_27.pdf";
	docList["cm_worksheet.pdf"] = base_dir + "cm_worksheet.pdf";
	docList["DA_Pam_750_8.pdf"] = base_dir + "DA_Pam_750_8.pdf";
	docList["DEHIbyVM_TSP.pdf"] = base_dir + "DEHIbyVM_TSP.pdf";
	docList["fm3_19_15.pdf"] = base_dir + "fm3_19_15.pdf";
	docList["fm3_21x71.pdf"] = base_dir + "fm3_21x71.pdf";
	docList["fm3_22x1.pdf"] = base_dir + "fm3_22x1.pdf";
	docList["fm3_22x68.pdf"] = base_dir + "fm3_22x68.pdf";
	docList["fm4_01x30.pdf"] = base_dir + "fm4_01x30.pdf";
	docList["fm4_25_11.pdf"] = base_dir + "fm4_25_11.pdf";
	docList["fm4_25_12.pdf"] = base_dir + "fm4_25_12.pdf";
	docList["fm5_0.pdf"] = base_dir + "fm5_0.pdf";
	docList["fm7_7.pdf"] = base_dir + "fm7_7.pdf";
	docList["fm7_8.pdf"] = base_dir + "fm7_8.pdf";
	docList["fm17_95.pdf"] = base_dir + "fm17_95.pdf";
	docList["fm20_32.pdf"] = base_dir + "fm20_32.pdf";
	docList["fm21_10.pdf"] = base_dir + "fm21_10.pdf";
	docList["fm21_60.pdf"] = base_dir + "fm21_60.pdf";
	docList["fm21_75.pdf"] = base_dir + "fm21_75.pdf";
	docList["fm21_305.pdf"] = base_dir + "fm21_305.pdf";
	docList["fm27_10.pdf"] = base_dir + "fm27_10.pdf";
	docList["fm41_10.pdf"] = base_dir + "fm41_10.pdf";
	docList["fm55_30.pdf"] = base_dir + "fm55_30.pdf";
	docList["fm100_14.pdf"] = base_dir + "fm100_14.pdf";
	docList["fm100_14c1.pdf"] = base_dir + "fm100_14c1.pdf";
	docList["gta05_10_044.pdf"] = base_dir + "gta05_10_044.pdf";
	docList["gta09_12_001.pdf"] = base_dir + "gta09_12_001.pdf";
	docList["Instructor_Guide.pdf"] = base_dir + "Instructor_Guide.pdf";
	docList["Lubriplate_630AA.pdf"] = base_dir + "Lubriplate_630AA.pdf";
	docList["Nitrogen.pdf"] = base_dir + "Nitrogen.pdf";
	docList["r55_162.pdf"] = base_dir + "r55_162.pdf";
	docList["r600_63.pdf"] = base_dir + "r600_63.pdf";
	docList["Soldiers_Manual_of_Common_Tasks1.pdf"] = base_dir + "Soldiers_Manual_of_Common_Tasks1.pdf";
	docList["tc20_32_5.pdf"] = base_dir + "tc20_32_5.pdf";
	
	
	
//	docList[""] = base_dir + "";
//	docList["link_reference"] = "https://www.logsa.army.mil/etms/data/A/012529.pdf";
//	docList["doc_reference"] = base_dir + "/reference/fm21-60.pdf";

    if(typeof docList[docName] == "undefined"){
        alert(docName + " does not exist.");
    } else {
        window.open(docList[docName], ''); //getDocument
    }
}